Name:       python-jupyter-collaboration
Version:    1.0.0~a9
Release:    3%{?dist}
Summary:    JupyterLab Extension enabling Real-Time Collaboration

# SPDX
License:    BSD-3-Clause
URL:        https://jupyter.org
Source:     %{pypi_source jupyter_collaboration}
Patch:      remove_hatch-nodejs-version.patch

BuildArch:  noarch
BuildRequires:  python3-devel

%global down_version %(echo %{version} | tr -d "~")

%global _description %{expand:	
JupyterLab Real-Time Collaboration is a Jupyter Server Extension and JupyterLab
extensions providing support for Y documents and adding collaboration UI
elements in JupyterLab.}

%description %_description

%package -n python3-jupyter-collaboration
Summary: %{summary}

%description -n python3-jupyter-collaboration %_description

%prep
%autosetup -p1 -n jupyter_collaboration-%{down_version}
# PACKAGE_VERSION is part of the remove_hatch-nodejs-version.patch
sed -i "s/PACKAGE_VERSION/%{down_version}/" pyproject.toml
# Remove coverage dependencies
sed -e '/"coverage"/d' -e '/"pytest-cov"/d' -i pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jupyter_collaboration

install -m 0755 -p -d %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter_collaboration.json

%check
%pytest

%files -n python3-jupyter-collaboration -f %{pyproject_files}
%doc README.md
%license LICENSE
%config(noreplace) %{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter_collaboration.json
%{_datadir}/jupyter/labextensions/@jupyter/collaboration-extension

%changelog
* Thu Jun 01 2023 Lumír Balhar <lbalhar@redhat.com> - 1.0.0~a9-3
- Run tests during build

* Wed May 31 2023 Dominik Nikolov <dmnok@protonmail.com> - 1.0.0~a9-2
- Moved /usr/etc files to /etc

* Tue May 30 2023 Dominik Nikolov <dmnok@protonmail.com> - 1.0.0~a9-1
- First packaged version
